# Unpin Configuration for Flow Control Key

> Removes the pinned configuration for a specific flow-control key.

## Endpoint

`POST https://qstash-{region}.upstash.io/v2/flowControl/{flowControlKey}/unpin`

## Parameters

- `flowControlKey` (path, string, required): The flow-control key for which the configuration will be unpinned.
- `parallelism` (query, boolean): The flag to indicate whether to unpin the parallelism configuration.
- `rate` (query, boolean): The flag to indicate whether to unpin the rate configuration.

## Responses

### 200 - The flow-control key configuration is pinned

### 400 - Bad request. Returned when the flow-control key is not provided.

- `error` (string, required): Error message

## cURL

```bash
curl --request POST \
  --url https://qstash-{region}.upstash.io/v2/flowControl/{flowControlKey}/unpin \
  --header 'Authorization: Bearer <token>'
```
